> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dify.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get App Info

> Retrieve basic information about this application, including name, description, tags, and mode.



## OpenAPI

````yaml /en/api-reference/openapi_completion.json get /info
openapi: 3.0.1
info:
  title: Completion App API
  description: >-
    The text generation application offers non-session support and is ideal for
    translation, article writing, summarization AI, and more.
  version: 1.0.0
servers:
  - url: '{api_base_url}'
    description: >-
      The base URL for the Completion App API. Replace {api_base_url} with the
      actual API base URL provided for your application.
    variables:
      api_base_url:
        default: https://api.dify.ai/v1
        description: Actual base URL of the API
security:
  - ApiKeyAuth: []
tags:
  - name: Completions
    description: Operations related to text generation and completion.
  - name: Files
    description: Operations related to file management.
  - name: End Users
    description: Operations related to end user information.
  - name: Feedback
    description: Operations related to user feedback.
  - name: TTS
    description: Operations related to Text-to-Speech and Speech-to-Text.
  - name: Applications
    description: Operations to retrieve application settings and information.
paths:
  /info:
    get:
      tags:
        - Applications
      summary: Get App Info
      description: >-
        Retrieve basic information about this application, including name,
        description, tags, and mode.
      operationId: getAppInfo
      responses:
        '200':
          description: Basic information of the application.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AppInfoResponse'
              examples:
                appInfo:
                  summary: Response Example
                  value:
                    name: My Completion App
                    description: A helpful customer service chatbot.
                    tags:
                      - customer-service
                      - chatbot
                    mode: completion
                    author_name: Dify Team
components:
  schemas:
    AppInfoResponse:
      type: object
      properties:
        name:
          type: string
          description: Application name.
        description:
          type: string
          description: Application description.
        tags:
          type: array
          items:
            type: string
          description: Application tags.
        mode:
          type: string
          description: >-
            Application mode. `completion` for text generation apps, `chat` for
            basic chat apps, `agent-chat` for agent-based apps, `advanced-chat`
            for chatflow apps, `workflow` for workflow apps.
        author_name:
          type: string
          description: Name of the application author.
  securitySchemes:
    ApiKeyAuth:
      type: http
      scheme: bearer
      bearerFormat: API_KEY
      description: >-
        API Key authentication. For all API requests, include your API Key in
        the `Authorization` HTTP Header, prefixed with `Bearer `. Example:
        `Authorization: Bearer {API_KEY}`. **Strongly recommend storing your API
        Key on the server-side, not shared or stored on the client-side, to
        avoid possible API-Key leakage that can lead to serious consequences.**

````